Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Jul 2021 09:20:07 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 07 Jul 2021 23:04:29 +0200
> 
> I rewound back to checkout 90c89e8bdeca61aceae79e4c60a9a51800574914, and
> then said
> 
> make bootstrap; touch lisp/*.el; make
> 
> and that segfaults.  So this build failure doesn't seem to be related to
> the locking changes.  *phew* So I'm bisecting now back to the offending
> commit.

To make sure this is indeed segfaults for that commit, I suggest to
clone the upstream repository into a separate directory and repeat the
experiment there.  There could be some left-overs of newer builds that
are not deleted/remade by a rebuild in a tree that is not 100% clean.